package domaine;

import outils.Liste;
import java.util.LinkedList;

public class ListeDAlarmes extends LinkedList<Alarme> implements Liste<Alarme> {
    public ListeDAlarmes() {
        super();
    }
    public boolean estVide() { return isEmpty(); }
    public int nombreDElements() { return size(); }
    public void ajoute(Alarme element) { add(element); trie(); }
    public void trie() { sort((Alarme a1, Alarme a2) -> a1.compareTo(a2)); }
    public void retire(int index) { remove(index); }
    public void retire(Alarme element) { remove(element); }
    public Alarme element(int index) { return get(index); }
    public void efface() { clear(); }
    public String nomAffichable() {
        return "Sans nom";
    }
}
